%define maj3ver %(echo %version | cut -d. -f1-3)
Name:          nomacs
Version:       2.4.6
Release:       1mamba
Summary:       A small and fast image viewer
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.nomacs.org/
Source:        http://downloads.sourceforge.net/project/nomacs/nomacs-%{maj3ver}/nomacs-%{version}-source.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexiv2-devel
BuildRequires: libgcc
BuildRequires: libgomp-devel
BuildRequires: liblcms2-devel
BuildRequires: libopencv-devel
BuildRequires: libqt4-devel
BuildRequires: libraw-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
nomacs is a free image viewer which is licensed under the GNU General Public License v3. nomacs is small, fast and able to handle the most common image formats including RAW images. Additionally it is possible to synchronize multiple viewers. A synchronization of viewers running on the same computer or via LAN is possible. It allows to compare images and spot the differences (e.g. schemes of architects to show the progress).

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/nomacs
%{_datadir}/applications/nomacs.desktop
%dir %{_datadir}/nomacs
%dir %{_datadir}/nomacs/translations
%{_datadir}/nomacs/translations/nomacs_*.qm
%{_datadir}/pixmaps/nomacs.png
%{_mandir}/man1/nomacs.1.gz

%changelog
* Thu Aug 20 2015 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic version update by autodist

* Sat Apr 25 2015 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Tue Mar 17 2015 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Fri Feb 27 2015 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Sat Nov 15 2014 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Mon Jul 21 2014 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic update by autodist

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 1.6.4-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.0.2-1mamba
- update to 1.6.0.2

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sat Jul 13 2013 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Mon May 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1mamba
- package created by silvan using the webbuild interface
